Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package backend
  Definition Classes
    nsc
-  package classpath
  Definition Classes
    nsc
-  package doc
  Definition Classes
    nsc
-  package fsc
  Definition Classes
    nsc
-  package interactive
  Definition Classes
    nsc
-  package interpreter
  Definition Classes
    nsc
-  package io
  Definition Classes
    nsc
-  package javac
  Definition Classes
    nsc
-  package plugins
  Definition Classes
    nsc
-  package profile
  Definition Classes
    nsc
-  package reporters
  Definition Classes
    nsc
-  package settings
  Definition Classes
    nsc
-  package symtab
  Definition Classes
    nsc
-  package tasty
  Definition Classes
    nsc
-  package transform
  Definition Classes
    nsc
-  package typechecker
  Definition Classes
    nsc
-  package util
  Definition Classes
    nsc
- AbstractScriptRunner
- ClassPathMemoryConsumptionTester
- CloseableRegistry
- CommonRunner
- CompilationUnits
- CompilerCommand
- ConsoleWriter
- DefaultScriptRunner
- Driver
- EvalLoop
- GenericRunnerCommand
- GenericRunnerSettings
- Global
- GlobalSymbolLoaders
- Interpreter
- InterpreterLoop
- JarRunner
- Main
- MainBench
- MainClass
- MainGenericRunner
- MainTokenMetric
- NewLinePrintWriter
- NoScriptError
- ObjectRunner
- Parsing
- PhaseAssembly
- PickleExtractor
- PipelineMain
- PipelineMainClass
- Properties
- Reporting
- ScalaDoc
- ScalaDocReporter
- ScriptCompileError
- ScriptRunner
- Settings
- SubComponent

o

scala.tools.nsc

# PipelineMain

###

#### object PipelineMain

Source
  PipelineMain.scala

Linear Supertypes
AnyRef, Any
Content Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PipelineMain
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  sealed abstract class BuildStrategy extends AnyRef
2.  case class PipelineSettings(label: String, parallelism: Int, strategy: BuildStrategy, useJars: Boolean, configuredPickleCache: Option[Path], cacheMacro: Boolean, cachePlugin: Boolean, stripExternalClassPath: Boolean, useTraditionalForLeaf: Boolean, logDir: Option[Path], createReporter: (Settings) => Reporter) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def defaultSettings: PipelineSettings
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  def main(args: Array[String]): Unit
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
22.  case object OutlineTypePipeline extends BuildStrategy with Product with Serializable

    Outline type check sources to compute type signatures an input to downstream compilation.

    Outline type check sources to compute type signatures an input to downstream compilation. Compile sources (optionally

23.  case object Pipeline extends BuildStrategy with Product with Serializable

    Transport pickles as an input to downstream compilation.

24.  case object Traditional extends BuildStrategy with Product with Serializable

    Emit class files before triggering downstream compilation

### Inherited from AnyRef

### Inherited from Any

### Ungrouped